import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/job/resumeDeliverRecord/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/job/resumeDeliverRecord/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/job/resumeDeliverRecord/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/job/resumeDeliverRecord/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/job/resumeDeliverRecord/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/job/resumeDeliverRecord/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/job/resumeDeliverRecord/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  create,edit,add,update,remove,batchRemove,pageList
}